<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateReferences Method (IEdmAddCustomRefs)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddCustomRefs Interface : CreateReferences Method (IEdmAddCustomRefs)

Visual Basic
C#
C++/CLI
Creates the custom file references in the file vault.

# Syntax

Visual Basic |
--- | ---

    Function CreateReferences() As System.Boolean

C# |
--- | ---

    System.bool CreateReferences()

C++/CLI |
--- | ---

    System.bool CreateReferences();

#### Return Value

True if any file was created, false if no files were created

# Example

Add Custom File Reference (VB.NET)
Add Custom File Reference (C#)

# Remarks

Before calling this method, you must call one of the following methods to add a file reference to another file:

- IEdmAddCustomRefs::AddReferencesClipboard
- IEdmAddCustomRefs2::AddReferencesID2
- IEdmAddCustomRefs2::AddReferencesPath2

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddCustomRefs Interface
IEdmAddCustomRefs Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional